body {
  margin: 0;
  padding: 0;
}

body.loading .cky-consent-container,
body.loading .cky-modal,
body.loading .cky-overlay,
body.loading .cky-btn-revisit-wrapper {
  opacity: 0 !important;
  visibility: hidden !important;
  pointer-events: none !important;
}

#splash-screen {
  position: absolute;
  z-index: 1000;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #F7F8FA;
}

#splash-screen img {
  margin-left: calc(100vw - 100%);
  margin-bottom: 30px;
}

#splash-screen.hidden, #trial-login-msg.hidden, #spinner.hidden {
  opacity: 0;
  visibility: hidden;
}

.spinner {
  animation: rotate 2s linear infinite;
  margin-left: calc(100vw - 100%);
  width: 50px;
  height: 50px;
}

.spinner .path {
  stroke: #3399FF;
  stroke-linecap: round;
  animation: dash 1.5s ease-in-out infinite;
}

#trial-login-msg {
  color: #3399FF;
  font-size: 16px;
  font-weight: 600;
  font-family: "Sofia Pro", Helvetica, sans-serif;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 150;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 90, 150;
    stroke-dashoffset: -124;
  }
}